AutoCAD Architecture :: Xref / Block Nested Object List Dialog Box Does Not Appear When Using XLIST
Jan 8, 2013
I am using AuotCAD Architecture 2012 and suddenly the Xref/Block Object List dialog box stopped opening when I use the XLIST command. How Can I get this back?
We've been working with adding schedule tags in paper space for objects nested within an xref. The first time you do this however, the manual properties (it seems) do not update if the value of the manual property is changed back in the xref dwg. However, the Automatic properties do seem to update.
When we initially found this we past it off as a limitation. However, one of our users was experimenting and found that the first time you tag the xref resident object... the schedule tag reads the correct manual properties value. However, If you remove the property set from the schedule tag... then the manual property will update correctly showing the current value as it is back in the xref dwg even if it is changed.
This makes complete sense as the manual property set data can be edited from either the tag or the object or from the schedule... IF THE TAG and the object are resident in the same drawing file - in this case you DO NOT want to delete the property set from the tag... if you do this the property set is also removed from the object. However, when tagging objects nested within an xref, then you need to remove the property set from the tag... THEN the manual property will update correctly.
I have two dynamic blocks. One is the plan view of a cylinder and one is the elevation view of a cylinder. When I change the parameter of the OD on the elevation, I want the plan view to change. I'd like to keep them as blocks (they're a little more complicated than just cylinders), but when I try to use parametrics to tie these two dimensions together I get: "Constraints cannot be applied between nested objects in the same block or Xref."
I use 2013. The xref pallet was docked but has disappeared. Also, when I type 'xref' at the command line, the xref dialog box does not appear. How do I get them back?
I get an AutoCAD drawing from my conveyor manufacturer who have buried a block (tagname) in all of their conveyor blocks.
The only way to remove them is to manually use BEDIT and erase the tagname block.
Is there a way through Autolisp to search all blocks in a drawings and if the tagname block is part of the definition of the conveyor block, erase the tagname block or redefine the conveyor block without the tagname block.
I have a block that i want to insert several times and revised each one to be different to do this i would have to insert it and rename the blocks that come in and then reinsert i would like to insert and have a lisp explode the main block and rename the other 2 blocks with a suffix at the end depending on how many times its in the drawing... can this even be done? My original block name that will be first inserted is "BENT PULLEY NOTES" it needs to explode after i drop it in and then there are 2 blocks within that called "Bent Pulley" and "Bent Pulley DYN" that i was hoping to keep the names but add a number at the end depending on how many are in the drawing already...
here is a lisp that i have found... it would work if i didn't have nested blocks and only wanted the one block to be insert and not explode...
(defun c:Test (/ e i name Bname ) (setq e nil) (command "_.-insert" "Drawing1.dwg" pause "" "" "") (if (setq e (entlast))
My question pertains to layer colors from xrefs that have other xrefs nested inside them.
When I get xrefs from the architects, I get a building layout, RCP, space layout, etc. I tie all these together into a single "architect base" xref so I don't have to attach 4 xrefs to each new file I create. What I would like to be able to do is set all the layer colors in the misc. architect xrefs in my "architect base" file and have those color settings propagate into my drawings as I create them. This comes into play especially if I have to create a new drawing late in the project, and I don't want to have to go set hundreds of layer colors individually. ?
Visretain comes to mind, but visretain (if I'm correct) is really for keeping xref color settings in your current file from session to session, not in a new file that you are creating using an xref.
How can I update the file path to an XREF which is NESTED? I point the file to the appropriate xref and even though I save the file it won't point back to the file upon opening?
Is there an anchor tool that will do this? The aec object is actually a Autocad MEP pipeobject but should fall under the AEC umbrella. I am inserting some blocks at specific pipe locations through dotnet and would like to anchor the blocks to the pipes in case the pipes have to move.
The 2D drawings I am working with were exported from 3D REVIT files to 2D AutoCAD files. There are several XREFed drawings that are both mechanical and architectural from the original REVIT files that for whatever reason, the block's line weights came over with line weights of 70 in those blocks.
When I plot, the objects are a blur with the line weight so high. I tried using the command "setbylayer" but that didn't work since nested blocks still had lineweights of 70. Is there a VBA or LISP routine to run through all the blocks (including nested) that can change the line weights to a given number?
I have a Lisp that I have been working on with some folks in the office, and i feel like i am close, but i am not getting the cigar. The idea would be to have the lisp allow the user to select a nested x-ref entity, and change the color and linetype of the selected layer, similar to the old "LAP" command (I know it is a dinosaur, but I still miss it). I seem to be doing swimmingly, code I have quasi-plagiarized. It seems to crap out where i try to pass the selected linetype back to the layer. I get the nastygram "Command: ; error: no function definition: GETLINETYPE" right after selecting the linetype from the dialog.
Code below...
x(defun c:CX (/ Sel EntList DataList cnt Num ClrNum EntData) (if (setq Sel (nentsel " Select object to change layers color and linetype: ")) (progn
I am using (trying to anyway) a :VLR-xrefSubcommandReloadItem reactor. My only question is how to get the xref/block name from the 'reactor callback data' Object ID.
I am ultimately trying to pass it to (vla-get-xrefdatabase ....), but I cannot figure out how to turn the second parameter from the reactor callback data into something I can use - for example the second parameter returned may be "65" or some other number.
BlockTableRecord.Position gets the position of the block in its owner. So if it is a nested block, it gets the position inside the parent block.
I want to get the position of a nested block in the space (model or paper). One way of doing this is getting the location of that parent, and if the parent is also nested, get that position and so on...and then calculate the position of the nested block.
I have a dynamic block that has a nested temporary block inside it. What I am wanting to do is replace the temporary block with the permanent block. I have tried several different variation of coding but I cannot seem to get this bad boy to work. have used:
I have a user that can't move or resize his xref dialog box. He is using dual monitors and has no problem with any other dialog box. I've tried changing settings for docking/hide.
I am learning autolips and i found a problem that i can´t solved.
(vl-load-com)(defun c:pmb ( / ss ent pt )(prompt " selec block : ")(setq ss (ssget '((0 . "INSERT")))) (setq ent (ssname ss 0)), (setq pt (cdr (assoc 10 (entget ent)))) (command "point" pt)) wich this code you select one block and insert one point at insert point´s block.
which this other code yo select all block and insert all point.... but in one block
I am using Auto Cad 2011 and I always use the option to 'attach' xrefs. what is the difference between attaching and an overlay? Does one use less memory than the other? When would be the best time to use an overlay?
Also when my new version was installed when I bring in an xref the layers show light (I really like this) another girl in our office has the same version but her layers are still saturated. how does she change it to show ghosted layers in the xref?
is there a way to not have the long list of xref layers when I bring them into a drawing?
I am using Autocad 2007 I made several blocks with att. And I use this drawing and copy it to the samples/design center folder so that I can see the blocks that I created on the Design center window for use on different other drawings.
My problem is that if I make a cange on the ORIGINAL block drawing how can I update the inserted blocks on the other drawings? I try to delete the block from the local drawing insert block list (is this possible?) to paste the block again with the new changes, but somehow even when I grab the new modified block to inserted again when I do it, it takes the shape of the old version!
I have a drawing (let's call it "main.dwg") with an external reference (let's call it "file.dwg") as the bulk of its content. The drawing "main.dwg" has 16 layout tabs, each with several mview windows.
Needing to make some changes to "main.dwg" for the first time in a couple months, I just opened it and was having issues with freezing out layers in the mview windows. It turns out that "file.dwg" appears twice in the xref list under two different names (let's say "File 1" and "File 2") with the same target path.
Besides the disorganization created by the double xref, it makes freezing layers in the mview windows twice as complicated, since each layer now appears twice in the layers list. For example, since layer 0 appears in "file.dwg", "main.dwg" contains the layers "File 1|0" and "File 2|0".
Detaching "File 2" in the xref list removes both references. Retargeting "File 2" to a different file retargets both references. Detaching both and reinserting the xref resets the layer freeze settings in every mview window, making every layer visible again.